For the complete documentation index, see llms.txt. This page is also available as Markdown.

Documents

All Documents

get

This endpoint is used to fetch all documents for the current user

Authorizations
AuthorizationstringRequired

JWT token obtained from /api/login/. Pass as: Authorization: Bearer

Query parameters
items_per_pageintegerRequired

Items Per Page

pageintegerRequired

Page Number

reversebooleanOptional

Sorting Order

sortstringOptional

Sorting Key

Responses
200Success
application/json

Serializer for Documents.

Recognized primitve fields:

* ``StringField``
* ``URLField``
* ``EmailField``
* ``IntField``
* ``LongField``
* ``FloatField``
* ``DecimalField``
* ``BooleanField``
* ``DateTimeField``
* ``ComplexDateTimeField``
* ``ObjectIdField``
* ``SequenceField`` (assumes it has integer counter)
* ``UUIDField``
* ``GeoPointField``
* ``GeoJsonBaseField`` (all those fields)
* ``DateField``

Compound fields: ListField and DictField are mapped to corresponding DRF fields, with respect to nested field specification.

The ReferenceField is handled like ForeignKey in DRF: there nested serializer autogenerated if serializer depth greater then 0, otherwise it's handled by it's own (results as str(id)).

For EmbeddedDocumentField also nested serializer autogenerated for non-zero depth, otherwise it is skipped. TODO: THIS IS PROBABLY WRONG AND SHOULD BE FIXED.

Generic fields GenericReferenceField and GenericEmbeddedDocumentField are handled by their own with corresponding serializer fields.

Not well supported or untested:

``FileField``
``ImageField``
``BinaryField``

All other fields are mapped to DocumentField and probably will work wrong.

idstringRead-onlyRequired
attach_idstringRequired
organizationstringRequired
module_idintegerOptional
module_namestringOptional
sub_modulestringOptional
storage_typestringOptional
reference_idstring · nullableOptional
account_idstring · nullableOptional
file_namestringOptional
zip_file_namestringOptional
file_typestring · max: 225Optional
file_sizeintegerOptional
file_pathstringOptional
file_iconstringOptional
versioninteger · nullableOptional
descriptionstringOptional
creation_timestring · date-timeOptional
last_update_timestring · date-timeOptional
is_deletedbooleanOptional
created_bystringOptional
is_privatebooleanOptional
show_download_iconbooleanOptionalDefault: true
parent_attach_idstring · nullableOptional
show_in_documentbooleanOptional
document_namestringRequired
latest_versionbooleanOptionalDefault: true
view_countintegerOptional
download_countintegerOptional
share_countintegerOptional
in_line_typeintegerOptional
file_hashstring · nullableOptional
external_file_urlstring · nullableOptional
menu_typestring · nullableOptional
editor_html_contentstring · nullableOptional
is_editorjs_documentbooleanOptional
document_statusstring · enumOptional
  • draft - draft
  • published - published
Possible values:
published_atstring · date-time · nullableOptional
signature_statusone of · nullableOptionalDefault: none
string · enumOptional
  • none - none
  • pending - pending
  • partial - partial
  • signed - signed
  • declined - declined
Possible values:
or
undefined · enumOptionalPossible values:
or
undefined · enumOptionalPossible values:
signatures_requiredinteger · nullableOptional
signatures_completedinteger · nullableOptional
signature_enabledbooleanOptional
external_template_idinteger · nullableOptional
external_template_slugstring · nullableOptional
external_frozen_template_idinteger · nullableOptional
external_frozen_template_slugstring · nullableOptional
external_submission_idinteger · nullableOptional
external_signed_document_urlstring · nullableOptional
external_audit_log_urlstring · nullableOptional
signed_atstring · date-time · nullableOptional
is_signed_versionbooleanOptional
original_attach_idstring · nullableOptional
version_typeone of · nullableOptional
string · enumOptional
  • edit - edit
  • signature - signature
Possible values:
or
undefined · enumOptionalPossible values:
or
undefined · enumOptionalPossible values:
get/api/documents/
GET /api/documents/?items_per_page=1&page=1 HTTP/1.1
Host: api.app.projetly.io
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
200Success
[
  {
    "id": "text",
    "attach_id": "text",
    "organization": "text",
    "module_id": 1,
    "module_name": "text",
    "sub_module": "text",
    "storage_type": "text",
    "reference_id": "text",
    "account_id": "text",
    "file_name": "text",
    "zip_file_name": "text",
    "file_type": "text",
    "file_size": 1,
    "file_path": "text",
    "file_icon": "text",
    "version": 1,
    "description": "text",
    "creation_time": "2026-01-01T00:00:00.000Z",
    "last_update_time": "2026-01-01T00:00:00.000Z",
    "is_deleted": true,
    "created_by": "text",
    "is_private": true,
    "show_download_icon": true,
    "tags": [],
    "private_users": [],
    "parent_attach_id": "text",
    "show_in_document": true,
    "document_name": "text",
    "latest_version": true,
    "view_count": 1,
    "download_count": 1,
    "share_count": 1,
    "in_line_type": 1,
    "file_hash": "text",
    "public_config": {
      "ANY_ADDITIONAL_PROPERTY": "anything"
    },
    "external_file_url": "text",
    "menu_type": "text",
    "editorjs_content": {
      "ANY_ADDITIONAL_PROPERTY": "anything"
    },
    "editor_html_content": "text",
    "is_editorjs_document": true,
    "document_status": "published",
    "published_at": "2026-01-01T00:00:00.000Z",
    "signature_status": "none",
    "signatures_required": 1,
    "signatures_completed": 1,
    "signature_enabled": true,
    "external_template_id": 1,
    "external_template_slug": "text",
    "external_frozen_template_id": 1,
    "external_frozen_template_slug": "text",
    "external_submission_id": 1,
    "signature_recipients": [],
    "external_signed_document_url": "text",
    "external_audit_log_url": "text",
    "signed_at": "2026-01-01T00:00:00.000Z",
    "is_signed_version": true,
    "original_attach_id": "text",
    "version_type": "edit"
  }
]

Creates a new document

post

This endpoint is used to save a new document for the current organization

Authorizations
AuthorizationstringRequired

JWT token obtained from /api/login/. Pass as: Authorization: Bearer

Body
Other propertiesanyOptional
Responses
201

No response body

No content

post/api/documents/
POST /api/documents/ HTTP/1.1
Host: api.app.projetly.io
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 1563

{
  "account": {
    "description": "Car Manufacturing Company",
    "account_name": "Tesla",
    "region": "Texas",
    "vertical": "Automotive",
    "segment": "Renewable Energy",
    "website_url": "https://www.tesla.com",
    "customer": {
      "full_name": "Elon Musk",
      "email": "elon@test.com",
      "phone": "+120112123456",
      "user_id": "12121323231"
    },
    "logo": []
  },
  "document": {
    "document_name": "TestX",
    "document_template": {
      "template_name": "IT Support",
      "template_id": "1224235232",
      "template_config": {
        "stages": [
          {
            "stage_id": "1",
            "name": "Brainstorming session",
            "color": "#FCEAEA",
            "status": {
              "status_id": 3,
              "status_key": "completed",
              "status_name": "Completed"
            }
          },
          {
            "stage_id": "2",
            "name": "Kick-off call",
            "color": "#FCEAEA",
            "status": {
              "status_id": 3,
              "status_key": "completed",
              "status_name": "Completed"
            }
          },
          {
            "stage_id": "3",
            "name": "Getting feedback",
            "color": "#EEFAF2",
            "status": {
              "status_id": 2,
              "status_key": "in_progress",
              "status_name": "In Progress"
            }
          },
          {
            "stage_id": "4",
            "name": "high fidelity wireframes",
            "color": "#FCEAEA",
            "status": {
              "status_id": 2,
              "status_key": "in_progress",
              "status_name": "In Progress"
            }
          },
          {
            "stage_id": "",
            "name": "Test12",
            "color": "#e7f1f7",
            "status": {
              "status_id": "",
              "status_key": "",
              "status_name": ""
            }
          }
        ]
      }
    },
    "start_date": "2024-05-21T18:30:00.000Z",
    "due_date": "2025-05-27T18:30:00.000Z",
    "forecasted_date": "2025-05-12T18:30:00.000Z",
    "show_forecasted_date": true,
    "revenue": "1000",
    "is_arr": true,
    "document_fee": "190012",
    "document_owner": {
      "is_owner": false,
      "first_name": "Anita",
      "middle": "Dakota",
      "user_id": "2342135",
      "last": "Weber",
      "profile_image": "assets/images/users/avatar-8.jpg",
      "email": "Jett_Emard20@example.com",
      "phone_number": "363-334-0768 x413"
    }
  }
}
201

No response body

No content

Gets a document with the given id

get

This endpoint is used to fetch a document detail for the current organization

Authorizations
AuthorizationstringRequired

JWT token obtained from /api/login/. Pass as: Authorization: Bearer

Path parameters
idstringRequired
Responses
200Success
application/json

Serializer for Documents.

Recognized primitve fields:

* ``StringField``
* ``URLField``
* ``EmailField``
* ``IntField``
* ``LongField``
* ``FloatField``
* ``DecimalField``
* ``BooleanField``
* ``DateTimeField``
* ``ComplexDateTimeField``
* ``ObjectIdField``
* ``SequenceField`` (assumes it has integer counter)
* ``UUIDField``
* ``GeoPointField``
* ``GeoJsonBaseField`` (all those fields)
* ``DateField``

Compound fields: ListField and DictField are mapped to corresponding DRF fields, with respect to nested field specification.

The ReferenceField is handled like ForeignKey in DRF: there nested serializer autogenerated if serializer depth greater then 0, otherwise it's handled by it's own (results as str(id)).

For EmbeddedDocumentField also nested serializer autogenerated for non-zero depth, otherwise it is skipped. TODO: THIS IS PROBABLY WRONG AND SHOULD BE FIXED.

Generic fields GenericReferenceField and GenericEmbeddedDocumentField are handled by their own with corresponding serializer fields.

Not well supported or untested:

``FileField``
``ImageField``
``BinaryField``

All other fields are mapped to DocumentField and probably will work wrong.

idstringRead-onlyRequired
attach_idstringRequired
organizationstringRequired
module_idintegerOptional
module_namestringOptional
sub_modulestringOptional
storage_typestringOptional
reference_idstring · nullableOptional
account_idstring · nullableOptional
file_namestringOptional
zip_file_namestringOptional
file_typestring · max: 225Optional
file_sizeintegerOptional
file_pathstringOptional
file_iconstringOptional
versioninteger · nullableOptional
descriptionstringOptional
creation_timestring · date-timeOptional
last_update_timestring · date-timeOptional
is_deletedbooleanOptional
created_bystringOptional
is_privatebooleanOptional
show_download_iconbooleanOptionalDefault: true
parent_attach_idstring · nullableOptional
show_in_documentbooleanOptional
document_namestringRequired
latest_versionbooleanOptionalDefault: true
view_countintegerOptional
download_countintegerOptional
share_countintegerOptional
in_line_typeintegerOptional
file_hashstring · nullableOptional
external_file_urlstring · nullableOptional
menu_typestring · nullableOptional
editor_html_contentstring · nullableOptional
is_editorjs_documentbooleanOptional
document_statusstring · enumOptional
  • draft - draft
  • published - published
Possible values:
published_atstring · date-time · nullableOptional
signature_statusone of · nullableOptionalDefault: none
string · enumOptional
  • none - none
  • pending - pending
  • partial - partial
  • signed - signed
  • declined - declined
Possible values:
or
undefined · enumOptionalPossible values:
or
undefined · enumOptionalPossible values:
signatures_requiredinteger · nullableOptional
signatures_completedinteger · nullableOptional
signature_enabledbooleanOptional
external_template_idinteger · nullableOptional
external_template_slugstring · nullableOptional
external_frozen_template_idinteger · nullableOptional
external_frozen_template_slugstring · nullableOptional
external_submission_idinteger · nullableOptional
external_signed_document_urlstring · nullableOptional
external_audit_log_urlstring · nullableOptional
signed_atstring · date-time · nullableOptional
is_signed_versionbooleanOptional
original_attach_idstring · nullableOptional
version_typeone of · nullableOptional
string · enumOptional
  • edit - edit
  • signature - signature
Possible values:
or
undefined · enumOptionalPossible values:
or
undefined · enumOptionalPossible values:
get/api/documents/{id}/
GET /api/documents/{id}/ HTTP/1.1
Host: api.app.projetly.io
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
200Success
{
  "id": "text",
  "attach_id": "text",
  "organization": "text",
  "module_id": 1,
  "module_name": "text",
  "sub_module": "text",
  "storage_type": "text",
  "reference_id": "text",
  "account_id": "text",
  "file_name": "text",
  "zip_file_name": "text",
  "file_type": "text",
  "file_size": 1,
  "file_path": "text",
  "file_icon": "text",
  "version": 1,
  "description": "text",
  "creation_time": "2026-01-01T00:00:00.000Z",
  "last_update_time": "2026-01-01T00:00:00.000Z",
  "is_deleted": true,
  "created_by": "text",
  "is_private": true,
  "show_download_icon": true,
  "tags": [],
  "private_users": [],
  "parent_attach_id": "text",
  "show_in_document": true,
  "document_name": "text",
  "latest_version": true,
  "view_count": 1,
  "download_count": 1,
  "share_count": 1,
  "in_line_type": 1,
  "file_hash": "text",
  "public_config": {
    "ANY_ADDITIONAL_PROPERTY": "anything"
  },
  "external_file_url": "text",
  "menu_type": "text",
  "editorjs_content": {
    "ANY_ADDITIONAL_PROPERTY": "anything"
  },
  "editor_html_content": "text",
  "is_editorjs_document": true,
  "document_status": "published",
  "published_at": "2026-01-01T00:00:00.000Z",
  "signature_status": "none",
  "signatures_required": 1,
  "signatures_completed": 1,
  "signature_enabled": true,
  "external_template_id": 1,
  "external_template_slug": "text",
  "external_frozen_template_id": 1,
  "external_frozen_template_slug": "text",
  "external_submission_id": 1,
  "signature_recipients": [],
  "external_signed_document_url": "text",
  "external_audit_log_url": "text",
  "signed_at": "2026-01-01T00:00:00.000Z",
  "is_signed_version": true,
  "original_attach_id": "text",
  "version_type": "edit"
}

Edits the document with the given id

put

This endpoint is used to edit an document for the current organization

Authorizations
AuthorizationstringRequired

JWT token obtained from /api/login/. Pass as: Authorization: Bearer

Path parameters
idstringRequired
Body
Other propertiesanyOptional
Responses
200

No response body

No content

put/api/documents/{id}/
PUT /api/documents/{id}/ HTTP/1.1
Host: api.app.projetly.io
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 90

{
  "name": "Slack",
  "description": "A cloud based team communication platform for enterprises"
}
200

No response body

No content

Deletes the document with the given id

delete

This endpoint is used to delete an document for the current organization

Authorizations
AuthorizationstringRequired

JWT token obtained from /api/login/. Pass as: Authorization: Bearer

Path parameters
idstringRequired
Responses
204

No response body

No content

delete/api/documents/{id}/
DELETE /api/documents/{id}/ HTTP/1.1
Host: api.app.projetly.io
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
204

No response body

No content

get

API endpoint that allows documents to be created, viewed, deleted or edited.

Authorizations
AuthorizationstringRequired

JWT token obtained from /api/login/. Pass as: Authorization: Bearer

Responses
200Success
application/json

Serializer for Documents.

Recognized primitve fields:

* ``StringField``
* ``URLField``
* ``EmailField``
* ``IntField``
* ``LongField``
* ``FloatField``
* ``DecimalField``
* ``BooleanField``
* ``DateTimeField``
* ``ComplexDateTimeField``
* ``ObjectIdField``
* ``SequenceField`` (assumes it has integer counter)
* ``UUIDField``
* ``GeoPointField``
* ``GeoJsonBaseField`` (all those fields)
* ``DateField``

Compound fields: ListField and DictField are mapped to corresponding DRF fields, with respect to nested field specification.

The ReferenceField is handled like ForeignKey in DRF: there nested serializer autogenerated if serializer depth greater then 0, otherwise it's handled by it's own (results as str(id)).

For EmbeddedDocumentField also nested serializer autogenerated for non-zero depth, otherwise it is skipped. TODO: THIS IS PROBABLY WRONG AND SHOULD BE FIXED.

Generic fields GenericReferenceField and GenericEmbeddedDocumentField are handled by their own with corresponding serializer fields.

Not well supported or untested:

``FileField``
``ImageField``
``BinaryField``

All other fields are mapped to DocumentField and probably will work wrong.

idstringRead-onlyRequired
attach_idstringRequired
organizationstringRequired
module_idintegerOptional
module_namestringOptional
sub_modulestringOptional
storage_typestringOptional
reference_idstring · nullableOptional
account_idstring · nullableOptional
file_namestringOptional
zip_file_namestringOptional
file_typestring · max: 225Optional
file_sizeintegerOptional
file_pathstringOptional
file_iconstringOptional
versioninteger · nullableOptional
descriptionstringOptional
creation_timestring · date-timeOptional
last_update_timestring · date-timeOptional
is_deletedbooleanOptional
created_bystringOptional
is_privatebooleanOptional
show_download_iconbooleanOptionalDefault: true
parent_attach_idstring · nullableOptional
show_in_documentbooleanOptional
document_namestringRequired
latest_versionbooleanOptionalDefault: true
view_countintegerOptional
download_countintegerOptional
share_countintegerOptional
in_line_typeintegerOptional
file_hashstring · nullableOptional
external_file_urlstring · nullableOptional
menu_typestring · nullableOptional
editor_html_contentstring · nullableOptional
is_editorjs_documentbooleanOptional
document_statusstring · enumOptional
  • draft - draft
  • published - published
Possible values:
published_atstring · date-time · nullableOptional
signature_statusone of · nullableOptionalDefault: none
string · enumOptional
  • none - none
  • pending - pending
  • partial - partial
  • signed - signed
  • declined - declined
Possible values:
or
undefined · enumOptionalPossible values:
or
undefined · enumOptionalPossible values:
signatures_requiredinteger · nullableOptional
signatures_completedinteger · nullableOptional
signature_enabledbooleanOptional
external_template_idinteger · nullableOptional
external_template_slugstring · nullableOptional
external_frozen_template_idinteger · nullableOptional
external_frozen_template_slugstring · nullableOptional
external_submission_idinteger · nullableOptional
external_signed_document_urlstring · nullableOptional
external_audit_log_urlstring · nullableOptional
signed_atstring · date-time · nullableOptional
is_signed_versionbooleanOptional
original_attach_idstring · nullableOptional
version_typeone of · nullableOptional
string · enumOptional
  • edit - edit
  • signature - signature
Possible values:
or
undefined · enumOptionalPossible values:
or
undefined · enumOptionalPossible values:
get/api/documents/activities/
GET /api/documents/activities/ HTTP/1.1
Host: api.app.projetly.io
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
200Success
{
  "id": "text",
  "attach_id": "text",
  "organization": "text",
  "module_id": 1,
  "module_name": "text",
  "sub_module": "text",
  "storage_type": "text",
  "reference_id": "text",
  "account_id": "text",
  "file_name": "text",
  "zip_file_name": "text",
  "file_type": "text",
  "file_size": 1,
  "file_path": "text",
  "file_icon": "text",
  "version": 1,
  "description": "text",
  "creation_time": "2026-01-01T00:00:00.000Z",
  "last_update_time": "2026-01-01T00:00:00.000Z",
  "is_deleted": true,
  "created_by": "text",
  "is_private": true,
  "show_download_icon": true,
  "tags": [],
  "private_users": [],
  "parent_attach_id": "text",
  "show_in_document": true,
  "document_name": "text",
  "latest_version": true,
  "view_count": 1,
  "download_count": 1,
  "share_count": 1,
  "in_line_type": 1,
  "file_hash": "text",
  "public_config": {
    "ANY_ADDITIONAL_PROPERTY": "anything"
  },
  "external_file_url": "text",
  "menu_type": "text",
  "editorjs_content": {
    "ANY_ADDITIONAL_PROPERTY": "anything"
  },
  "editor_html_content": "text",
  "is_editorjs_document": true,
  "document_status": "published",
  "published_at": "2026-01-01T00:00:00.000Z",
  "signature_status": "none",
  "signatures_required": 1,
  "signatures_completed": 1,
  "signature_enabled": true,
  "external_template_id": 1,
  "external_template_slug": "text",
  "external_frozen_template_id": 1,
  "external_frozen_template_slug": "text",
  "external_submission_id": 1,
  "signature_recipients": [],
  "external_signed_document_url": "text",
  "external_audit_log_url": "text",
  "signed_at": "2026-01-01T00:00:00.000Z",
  "is_signed_version": true,
  "original_attach_id": "text",
  "version_type": "edit"
}
get

API endpoint that allows documents to be created, viewed, deleted or edited.

Authorizations
AuthorizationstringRequired

JWT token obtained from /api/login/. Pass as: Authorization: Bearer

Responses
200Success
application/json

Serializer for Documents.

Recognized primitve fields:

* ``StringField``
* ``URLField``
* ``EmailField``
* ``IntField``
* ``LongField``
* ``FloatField``
* ``DecimalField``
* ``BooleanField``
* ``DateTimeField``
* ``ComplexDateTimeField``
* ``ObjectIdField``
* ``SequenceField`` (assumes it has integer counter)
* ``UUIDField``
* ``GeoPointField``
* ``GeoJsonBaseField`` (all those fields)
* ``DateField``

Compound fields: ListField and DictField are mapped to corresponding DRF fields, with respect to nested field specification.

The ReferenceField is handled like ForeignKey in DRF: there nested serializer autogenerated if serializer depth greater then 0, otherwise it's handled by it's own (results as str(id)).

For EmbeddedDocumentField also nested serializer autogenerated for non-zero depth, otherwise it is skipped. TODO: THIS IS PROBABLY WRONG AND SHOULD BE FIXED.

Generic fields GenericReferenceField and GenericEmbeddedDocumentField are handled by their own with corresponding serializer fields.

Not well supported or untested:

``FileField``
``ImageField``
``BinaryField``

All other fields are mapped to DocumentField and probably will work wrong.

idstringRead-onlyRequired
attach_idstringRequired
organizationstringRequired
module_idintegerOptional
module_namestringOptional
sub_modulestringOptional
storage_typestringOptional
reference_idstring · nullableOptional
account_idstring · nullableOptional
file_namestringOptional
zip_file_namestringOptional
file_typestring · max: 225Optional
file_sizeintegerOptional
file_pathstringOptional
file_iconstringOptional
versioninteger · nullableOptional
descriptionstringOptional
creation_timestring · date-timeOptional
last_update_timestring · date-timeOptional
is_deletedbooleanOptional
created_bystringOptional
is_privatebooleanOptional
show_download_iconbooleanOptionalDefault: true
parent_attach_idstring · nullableOptional
show_in_documentbooleanOptional
document_namestringRequired
latest_versionbooleanOptionalDefault: true
view_countintegerOptional
download_countintegerOptional
share_countintegerOptional
in_line_typeintegerOptional
file_hashstring · nullableOptional
external_file_urlstring · nullableOptional
menu_typestring · nullableOptional
editor_html_contentstring · nullableOptional
is_editorjs_documentbooleanOptional
document_statusstring · enumOptional
  • draft - draft
  • published - published
Possible values:
published_atstring · date-time · nullableOptional
signature_statusone of · nullableOptionalDefault: none
string · enumOptional
  • none - none
  • pending - pending
  • partial - partial
  • signed - signed
  • declined - declined
Possible values:
or
undefined · enumOptionalPossible values:
or
undefined · enumOptionalPossible values:
signatures_requiredinteger · nullableOptional
signatures_completedinteger · nullableOptional
signature_enabledbooleanOptional
external_template_idinteger · nullableOptional
external_template_slugstring · nullableOptional
external_frozen_template_idinteger · nullableOptional
external_frozen_template_slugstring · nullableOptional
external_submission_idinteger · nullableOptional
external_signed_document_urlstring · nullableOptional
external_audit_log_urlstring · nullableOptional
signed_atstring · date-time · nullableOptional
is_signed_versionbooleanOptional
original_attach_idstring · nullableOptional
version_typeone of · nullableOptional
string · enumOptional
  • edit - edit
  • signature - signature
Possible values:
or
undefined · enumOptionalPossible values:
or
undefined · enumOptionalPossible values:
get/api/documents/analytics/
GET /api/documents/analytics/ HTTP/1.1
Host: api.app.projetly.io
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
200Success
{
  "id": "text",
  "attach_id": "text",
  "organization": "text",
  "module_id": 1,
  "module_name": "text",
  "sub_module": "text",
  "storage_type": "text",
  "reference_id": "text",
  "account_id": "text",
  "file_name": "text",
  "zip_file_name": "text",
  "file_type": "text",
  "file_size": 1,
  "file_path": "text",
  "file_icon": "text",
  "version": 1,
  "description": "text",
  "creation_time": "2026-01-01T00:00:00.000Z",
  "last_update_time": "2026-01-01T00:00:00.000Z",
  "is_deleted": true,
  "created_by": "text",
  "is_private": true,
  "show_download_icon": true,
  "tags": [],
  "private_users": [],
  "parent_attach_id": "text",
  "show_in_document": true,
  "document_name": "text",
  "latest_version": true,
  "view_count": 1,
  "download_count": 1,
  "share_count": 1,
  "in_line_type": 1,
  "file_hash": "text",
  "public_config": {
    "ANY_ADDITIONAL_PROPERTY": "anything"
  },
  "external_file_url": "text",
  "menu_type": "text",
  "editorjs_content": {
    "ANY_ADDITIONAL_PROPERTY": "anything"
  },
  "editor_html_content": "text",
  "is_editorjs_document": true,
  "document_status": "published",
  "published_at": "2026-01-01T00:00:00.000Z",
  "signature_status": "none",
  "signatures_required": 1,
  "signatures_completed": 1,
  "signature_enabled": true,
  "external_template_id": 1,
  "external_template_slug": "text",
  "external_frozen_template_id": 1,
  "external_frozen_template_slug": "text",
  "external_submission_id": 1,
  "signature_recipients": [],
  "external_signed_document_url": "text",
  "external_audit_log_url": "text",
  "signed_at": "2026-01-01T00:00:00.000Z",
  "is_signed_version": true,
  "original_attach_id": "text",
  "version_type": "edit"
}

Deletes the documents with the given ids

post

This endpoint is used to bulk delete documents for the current organization

Authorizations
AuthorizationstringRequired

JWT token obtained from /api/login/. Pass as: Authorization: Bearer

Body

Serializer for Documents.

Recognized primitve fields:

* ``StringField``
* ``URLField``
* ``EmailField``
* ``IntField``
* ``LongField``
* ``FloatField``
* ``DecimalField``
* ``BooleanField``
* ``DateTimeField``
* ``ComplexDateTimeField``
* ``ObjectIdField``
* ``SequenceField`` (assumes it has integer counter)
* ``UUIDField``
* ``GeoPointField``
* ``GeoJsonBaseField`` (all those fields)
* ``DateField``

Compound fields: ListField and DictField are mapped to corresponding DRF fields, with respect to nested field specification.

The ReferenceField is handled like ForeignKey in DRF: there nested serializer autogenerated if serializer depth greater then 0, otherwise it's handled by it's own (results as str(id)).

For EmbeddedDocumentField also nested serializer autogenerated for non-zero depth, otherwise it is skipped. TODO: THIS IS PROBABLY WRONG AND SHOULD BE FIXED.

Generic fields GenericReferenceField and GenericEmbeddedDocumentField are handled by their own with corresponding serializer fields.

Not well supported or untested:

``FileField``
``ImageField``
``BinaryField``

All other fields are mapped to DocumentField and probably will work wrong.

idstringRead-onlyRequired
attach_idstringRequired
organizationstringRequired
module_idintegerOptional
module_namestringOptional
sub_modulestringOptional
storage_typestringOptional
reference_idstring · nullableOptional
account_idstring · nullableOptional
file_namestringOptional
zip_file_namestringOptional
file_typestring · max: 225Optional
file_sizeintegerOptional
file_pathstringOptional
file_iconstringOptional
versioninteger · nullableOptional
descriptionstringOptional
creation_timestring · date-timeOptional
last_update_timestring · date-timeOptional
is_deletedbooleanOptional
created_bystringOptional
is_privatebooleanOptional
show_download_iconbooleanOptionalDefault: true
parent_attach_idstring · nullableOptional
show_in_documentbooleanOptional
document_namestringRequired
latest_versionbooleanOptionalDefault: true
view_countintegerOptional
download_countintegerOptional
share_countintegerOptional
in_line_typeintegerOptional
file_hashstring · nullableOptional
external_file_urlstring · nullableOptional
menu_typestring · nullableOptional
editor_html_contentstring · nullableOptional
is_editorjs_documentbooleanOptional
document_statusstring · enumOptional
  • draft - draft
  • published - published
Possible values:
published_atstring · date-time · nullableOptional
signature_statusone of · nullableOptionalDefault: none
string · enumOptional
  • none - none
  • pending - pending
  • partial - partial
  • signed - signed
  • declined - declined
Possible values:
or
undefined · enumOptionalPossible values:
or
undefined · enumOptionalPossible values:
signatures_requiredinteger · nullableOptional
signatures_completedinteger · nullableOptional
signature_enabledbooleanOptional
external_template_idinteger · nullableOptional
external_template_slugstring · nullableOptional
external_frozen_template_idinteger · nullableOptional
external_frozen_template_slugstring · nullableOptional
external_submission_idinteger · nullableOptional
external_signed_document_urlstring · nullableOptional
external_audit_log_urlstring · nullableOptional
signed_atstring · date-time · nullableOptional
is_signed_versionbooleanOptional
original_attach_idstring · nullableOptional
version_typeone of · nullableOptional
string · enumOptional
  • edit - edit
  • signature - signature
Possible values:
or
undefined · enumOptionalPossible values:
or
undefined · enumOptionalPossible values:
Responses
200Success
application/json

Serializer for Documents.

Recognized primitve fields:

* ``StringField``
* ``URLField``
* ``EmailField``
* ``IntField``
* ``LongField``
* ``FloatField``
* ``DecimalField``
* ``BooleanField``
* ``DateTimeField``
* ``ComplexDateTimeField``
* ``ObjectIdField``
* ``SequenceField`` (assumes it has integer counter)
* ``UUIDField``
* ``GeoPointField``
* ``GeoJsonBaseField`` (all those fields)
* ``DateField``

Compound fields: ListField and DictField are mapped to corresponding DRF fields, with respect to nested field specification.

The ReferenceField is handled like ForeignKey in DRF: there nested serializer autogenerated if serializer depth greater then 0, otherwise it's handled by it's own (results as str(id)).

For EmbeddedDocumentField also nested serializer autogenerated for non-zero depth, otherwise it is skipped. TODO: THIS IS PROBABLY WRONG AND SHOULD BE FIXED.

Generic fields GenericReferenceField and GenericEmbeddedDocumentField are handled by their own with corresponding serializer fields.

Not well supported or untested:

``FileField``
``ImageField``
``BinaryField``

All other fields are mapped to DocumentField and probably will work wrong.

idstringRead-onlyRequired
attach_idstringRequired
organizationstringRequired
module_idintegerOptional
module_namestringOptional
sub_modulestringOptional
storage_typestringOptional
reference_idstring · nullableOptional
account_idstring · nullableOptional
file_namestringOptional
zip_file_namestringOptional
file_typestring · max: 225Optional
file_sizeintegerOptional
file_pathstringOptional
file_iconstringOptional
versioninteger · nullableOptional
descriptionstringOptional
creation_timestring · date-timeOptional
last_update_timestring · date-timeOptional
is_deletedbooleanOptional
created_bystringOptional
is_privatebooleanOptional
show_download_iconbooleanOptionalDefault: true
parent_attach_idstring · nullableOptional
show_in_documentbooleanOptional
document_namestringRequired
latest_versionbooleanOptionalDefault: true
view_countintegerOptional
download_countintegerOptional
share_countintegerOptional
in_line_typeintegerOptional
file_hashstring · nullableOptional
external_file_urlstring · nullableOptional
menu_typestring · nullableOptional
editor_html_contentstring · nullableOptional
is_editorjs_documentbooleanOptional
document_statusstring · enumOptional
  • draft - draft
  • published - published
Possible values:
published_atstring · date-time · nullableOptional
signature_statusone of · nullableOptionalDefault: none
string · enumOptional
  • none - none
  • pending - pending
  • partial - partial
  • signed - signed
  • declined - declined
Possible values:
or
undefined · enumOptionalPossible values:
or
undefined · enumOptionalPossible values:
signatures_requiredinteger · nullableOptional
signatures_completedinteger · nullableOptional
signature_enabledbooleanOptional
external_template_idinteger · nullableOptional
external_template_slugstring · nullableOptional
external_frozen_template_idinteger · nullableOptional
external_frozen_template_slugstring · nullableOptional
external_submission_idinteger · nullableOptional
external_signed_document_urlstring · nullableOptional
external_audit_log_urlstring · nullableOptional
signed_atstring · date-time · nullableOptional
is_signed_versionbooleanOptional
original_attach_idstring · nullableOptional
version_typeone of · nullableOptional
string · enumOptional
  • edit - edit
  • signature - signature
Possible values:
or
undefined · enumOptionalPossible values:
or
undefined · enumOptionalPossible values:
post/api/documents/bulkdelete/
POST /api/documents/bulkdelete/ HTTP/1.1
Host: api.app.projetly.io
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 1441

{
  "attach_id": "text",
  "organization": "text",
  "module_id": 1,
  "module_name": "text",
  "sub_module": "text",
  "storage_type": "text",
  "reference_id": "text",
  "account_id": "text",
  "file_name": "text",
  "zip_file_name": "text",
  "file_type": "text",
  "file_size": 1,
  "file_path": "text",
  "file_icon": "text",
  "version": 1,
  "description": "text",
  "creation_time": "2026-01-01T00:00:00.000Z",
  "last_update_time": "2026-01-01T00:00:00.000Z",
  "is_deleted": true,
  "created_by": "text",
  "is_private": true,
  "show_download_icon": true,
  "tags": [],
  "private_users": [],
  "parent_attach_id": "text",
  "show_in_document": true,
  "document_name": "text",
  "latest_version": true,
  "view_count": 1,
  "download_count": 1,
  "share_count": 1,
  "in_line_type": 1,
  "file_hash": "text",
  "public_config": {
    "ANY_ADDITIONAL_PROPERTY": "anything"
  },
  "external_file_url": "text",
  "menu_type": "text",
  "editorjs_content": {
    "ANY_ADDITIONAL_PROPERTY": "anything"
  },
  "editor_html_content": "text",
  "is_editorjs_document": true,
  "document_status": "published",
  "published_at": "2026-01-01T00:00:00.000Z",
  "signature_status": "none",
  "signatures_required": 1,
  "signatures_completed": 1,
  "signature_enabled": true,
  "external_template_id": 1,
  "external_template_slug": "text",
  "external_frozen_template_id": 1,
  "external_frozen_template_slug": "text",
  "external_submission_id": 1,
  "signature_recipients": [],
  "external_signed_document_url": "text",
  "external_audit_log_url": "text",
  "signed_at": "2026-01-01T00:00:00.000Z",
  "is_signed_version": true,
  "original_attach_id": "text",
  "version_type": "edit"
}
200Success
{
  "id": "text",
  "attach_id": "text",
  "organization": "text",
  "module_id": 1,
  "module_name": "text",
  "sub_module": "text",
  "storage_type": "text",
  "reference_id": "text",
  "account_id": "text",
  "file_name": "text",
  "zip_file_name": "text",
  "file_type": "text",
  "file_size": 1,
  "file_path": "text",
  "file_icon": "text",
  "version": 1,
  "description": "text",
  "creation_time": "2026-01-01T00:00:00.000Z",
  "last_update_time": "2026-01-01T00:00:00.000Z",
  "is_deleted": true,
  "created_by": "text",
  "is_private": true,
  "show_download_icon": true,
  "tags": [],
  "private_users": [],
  "parent_attach_id": "text",
  "show_in_document": true,
  "document_name": "text",
  "latest_version": true,
  "view_count": 1,
  "download_count": 1,
  "share_count": 1,
  "in_line_type": 1,
  "file_hash": "text",
  "public_config": {
    "ANY_ADDITIONAL_PROPERTY": "anything"
  },
  "external_file_url": "text",
  "menu_type": "text",
  "editorjs_content": {
    "ANY_ADDITIONAL_PROPERTY": "anything"
  },
  "editor_html_content": "text",
  "is_editorjs_document": true,
  "document_status": "published",
  "published_at": "2026-01-01T00:00:00.000Z",
  "signature_status": "none",
  "signatures_required": 1,
  "signatures_completed": 1,
  "signature_enabled": true,
  "external_template_id": 1,
  "external_template_slug": "text",
  "external_frozen_template_id": 1,
  "external_frozen_template_slug": "text",
  "external_submission_id": 1,
  "signature_recipients": [],
  "external_signed_document_url": "text",
  "external_audit_log_url": "text",
  "signed_at": "2026-01-01T00:00:00.000Z",
  "is_signed_version": true,
  "original_attach_id": "text",
  "version_type": "edit"
}

Upload file chunk

post

Upload a single chunk of the file

Authorizations
AuthorizationstringRequired

JWT token obtained from /api/login/. Pass as: Authorization: Bearer

Body
Other propertiesanyOptional
Responses
200

No response body

No content

post/api/documents/chunked-upload/chunk/
POST /api/documents/chunked-upload/chunk/ HTTP/1.1
Host: api.app.projetly.io
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 38

{
  "ANY_ADDITIONAL_PROPERTY": "anything"
}
200

No response body

No content

Complete chunked upload

post

Complete the chunked upload by assembling all chunks

Authorizations
AuthorizationstringRequired

JWT token obtained from /api/login/. Pass as: Authorization: Bearer

Body
Other propertiesanyOptional
Responses
201

No response body

No content

post/api/documents/chunked-upload/complete/
POST /api/documents/chunked-upload/complete/ HTTP/1.1
Host: api.app.projetly.io
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 38

{
  "ANY_ADDITIONAL_PROPERTY": "anything"
}
201

No response body

No content

Initialize chunked upload

post

Initialize a chunked file upload session for large files

Authorizations
AuthorizationstringRequired

JWT token obtained from /api/login/. Pass as: Authorization: Bearer

Body
Other propertiesanyOptional
Responses
201

No response body

No content

post/api/documents/chunked-upload/init/
POST /api/documents/chunked-upload/init/ HTTP/1.1
Host: api.app.projetly.io
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 38

{
  "ANY_ADDITIONAL_PROPERTY": "anything"
}
201

No response body

No content

Get chunked upload status

get

Get the status and progress of a chunked upload

Authorizations
AuthorizationstringRequired

JWT token obtained from /api/login/. Pass as: Authorization: Bearer

Responses
200Success
application/json

Serializer for Documents.

Recognized primitve fields:

* ``StringField``
* ``URLField``
* ``EmailField``
* ``IntField``
* ``LongField``
* ``FloatField``
* ``DecimalField``
* ``BooleanField``
* ``DateTimeField``
* ``ComplexDateTimeField``
* ``ObjectIdField``
* ``SequenceField`` (assumes it has integer counter)
* ``UUIDField``
* ``GeoPointField``
* ``GeoJsonBaseField`` (all those fields)
* ``DateField``

Compound fields: ListField and DictField are mapped to corresponding DRF fields, with respect to nested field specification.

The ReferenceField is handled like ForeignKey in DRF: there nested serializer autogenerated if serializer depth greater then 0, otherwise it's handled by it's own (results as str(id)).

For EmbeddedDocumentField also nested serializer autogenerated for non-zero depth, otherwise it is skipped. TODO: THIS IS PROBABLY WRONG AND SHOULD BE FIXED.

Generic fields GenericReferenceField and GenericEmbeddedDocumentField are handled by their own with corresponding serializer fields.

Not well supported or untested:

``FileField``
``ImageField``
``BinaryField``

All other fields are mapped to DocumentField and probably will work wrong.

idstringRead-onlyRequired
attach_idstringRequired
organizationstringRequired
module_idintegerOptional
module_namestringOptional
sub_modulestringOptional
storage_typestringOptional
reference_idstring · nullableOptional
account_idstring · nullableOptional
file_namestringOptional
zip_file_namestringOptional
file_typestring · max: 225Optional
file_sizeintegerOptional
file_pathstringOptional
file_iconstringOptional
versioninteger · nullableOptional
descriptionstringOptional
creation_timestring · date-timeOptional
last_update_timestring · date-timeOptional
is_deletedbooleanOptional
created_bystringOptional
is_privatebooleanOptional
show_download_iconbooleanOptionalDefault: true
parent_attach_idstring · nullableOptional
show_in_documentbooleanOptional
document_namestringRequired
latest_versionbooleanOptionalDefault: true
view_countintegerOptional
download_countintegerOptional
share_countintegerOptional
in_line_typeintegerOptional
file_hashstring · nullableOptional
external_file_urlstring · nullableOptional
menu_typestring · nullableOptional
editor_html_contentstring · nullableOptional
is_editorjs_documentbooleanOptional
document_statusstring · enumOptional
  • draft - draft
  • published - published
Possible values:
published_atstring · date-time · nullableOptional
signature_statusone of · nullableOptionalDefault: none
string · enumOptional
  • none - none
  • pending - pending
  • partial - partial
  • signed - signed
  • declined - declined
Possible values:
or
undefined · enumOptionalPossible values:
or
undefined · enumOptionalPossible values:
signatures_requiredinteger · nullableOptional
signatures_completedinteger · nullableOptional
signature_enabledbooleanOptional
external_template_idinteger · nullableOptional
external_template_slugstring · nullableOptional
external_frozen_template_idinteger · nullableOptional
external_frozen_template_slugstring · nullableOptional
external_submission_idinteger · nullableOptional
external_signed_document_urlstring · nullableOptional
external_audit_log_urlstring · nullableOptional
signed_atstring · date-time · nullableOptional
is_signed_versionbooleanOptional
original_attach_idstring · nullableOptional
version_typeone of · nullableOptional
string · enumOptional
  • edit - edit
  • signature - signature
Possible values:
or
undefined · enumOptionalPossible values:
or
undefined · enumOptionalPossible values:
get/api/documents/chunked-upload/status/
GET /api/documents/chunked-upload/status/ HTTP/1.1
Host: api.app.projetly.io
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
200Success
{
  "id": "text",
  "attach_id": "text",
  "organization": "text",
  "module_id": 1,
  "module_name": "text",
  "sub_module": "text",
  "storage_type": "text",
  "reference_id": "text",
  "account_id": "text",
  "file_name": "text",
  "zip_file_name": "text",
  "file_type": "text",
  "file_size": 1,
  "file_path": "text",
  "file_icon": "text",
  "version": 1,
  "description": "text",
  "creation_time": "2026-01-01T00:00:00.000Z",
  "last_update_time": "2026-01-01T00:00:00.000Z",
  "is_deleted": true,
  "created_by": "text",
  "is_private": true,
  "show_download_icon": true,
  "tags": [],
  "private_users": [],
  "parent_attach_id": "text",
  "show_in_document": true,
  "document_name": "text",
  "latest_version": true,
  "view_count": 1,
  "download_count": 1,
  "share_count": 1,
  "in_line_type": 1,
  "file_hash": "text",
  "public_config": {
    "ANY_ADDITIONAL_PROPERTY": "anything"
  },
  "external_file_url": "text",
  "menu_type": "text",
  "editorjs_content": {
    "ANY_ADDITIONAL_PROPERTY": "anything"
  },
  "editor_html_content": "text",
  "is_editorjs_document": true,
  "document_status": "published",
  "published_at": "2026-01-01T00:00:00.000Z",
  "signature_status": "none",
  "signatures_required": 1,
  "signatures_completed": 1,
  "signature_enabled": true,
  "external_template_id": 1,
  "external_template_slug": "text",
  "external_frozen_template_id": 1,
  "external_frozen_template_slug": "text",
  "external_submission_id": 1,
  "signature_recipients": [],
  "external_signed_document_url": "text",
  "external_audit_log_url": "text",
  "signed_at": "2026-01-01T00:00:00.000Z",
  "is_signed_version": true,
  "original_attach_id": "text",
  "version_type": "edit"
}
post

API endpoint that allows documents to be created, viewed, deleted or edited.

Authorizations
AuthorizationstringRequired

JWT token obtained from /api/login/. Pass as: Authorization: Bearer

Body

Serializer for Documents.

Recognized primitve fields:

* ``StringField``
* ``URLField``
* ``EmailField``
* ``IntField``
* ``LongField``
* ``FloatField``
* ``DecimalField``
* ``BooleanField``
* ``DateTimeField``
* ``ComplexDateTimeField``
* ``ObjectIdField``
* ``SequenceField`` (assumes it has integer counter)
* ``UUIDField``
* ``GeoPointField``
* ``GeoJsonBaseField`` (all those fields)
* ``DateField``

Compound fields: ListField and DictField are mapped to corresponding DRF fields, with respect to nested field specification.

The ReferenceField is handled like ForeignKey in DRF: there nested serializer autogenerated if serializer depth greater then 0, otherwise it's handled by it's own (results as str(id)).

For EmbeddedDocumentField also nested serializer autogenerated for non-zero depth, otherwise it is skipped. TODO: THIS IS PROBABLY WRONG AND SHOULD BE FIXED.

Generic fields GenericReferenceField and GenericEmbeddedDocumentField are handled by their own with corresponding serializer fields.

Not well supported or untested:

``FileField``
``ImageField``
``BinaryField``

All other fields are mapped to DocumentField and probably will work wrong.

idstringRead-onlyRequired
attach_idstringRequired
organizationstringRequired
module_idintegerOptional
module_namestringOptional
sub_modulestringOptional
storage_typestringOptional
reference_idstring · nullableOptional
account_idstring · nullableOptional
file_namestringOptional
zip_file_namestringOptional
file_typestring · max: 225Optional
file_sizeintegerOptional
file_pathstringOptional
file_iconstringOptional
versioninteger · nullableOptional
descriptionstringOptional
creation_timestring · date-timeOptional
last_update_timestring · date-timeOptional
is_deletedbooleanOptional
created_bystringOptional
is_privatebooleanOptional
show_download_iconbooleanOptionalDefault: true
parent_attach_idstring · nullableOptional
show_in_documentbooleanOptional
document_namestringRequired
latest_versionbooleanOptionalDefault: true
view_countintegerOptional
download_countintegerOptional
share_countintegerOptional
in_line_typeintegerOptional
file_hashstring · nullableOptional
external_file_urlstring · nullableOptional
menu_typestring · nullableOptional
editor_html_contentstring · nullableOptional
is_editorjs_documentbooleanOptional
document_statusstring · enumOptional
  • draft - draft
  • published - published
Possible values:
published_atstring · date-time · nullableOptional
signature_statusone of · nullableOptionalDefault: none
string · enumOptional
  • none - none
  • pending - pending
  • partial - partial
  • signed - signed
  • declined - declined
Possible values:
or
undefined · enumOptionalPossible values:
or
undefined · enumOptionalPossible values:
signatures_requiredinteger · nullableOptional
signatures_completedinteger · nullableOptional
signature_enabledbooleanOptional
external_template_idinteger · nullableOptional
external_template_slugstring · nullableOptional
external_frozen_template_idinteger · nullableOptional
external_frozen_template_slugstring · nullableOptional
external_submission_idinteger · nullableOptional
external_signed_document_urlstring · nullableOptional
external_audit_log_urlstring · nullableOptional
signed_atstring · date-time · nullableOptional
is_signed_versionbooleanOptional
original_attach_idstring · nullableOptional
version_typeone of · nullableOptional
string · enumOptional
  • edit - edit
  • signature - signature
Possible values:
or
undefined · enumOptionalPossible values:
or
undefined · enumOptionalPossible values:
Responses
200Success
application/json

Serializer for Documents.

Recognized primitve fields:

* ``StringField``
* ``URLField``
* ``EmailField``
* ``IntField``
* ``LongField``
* ``FloatField``
* ``DecimalField``
* ``BooleanField``
* ``DateTimeField``
* ``ComplexDateTimeField``
* ``ObjectIdField``
* ``SequenceField`` (assumes it has integer counter)
* ``UUIDField``
* ``GeoPointField``
* ``GeoJsonBaseField`` (all those fields)
* ``DateField``

Compound fields: ListField and DictField are mapped to corresponding DRF fields, with respect to nested field specification.

The ReferenceField is handled like ForeignKey in DRF: there nested serializer autogenerated if serializer depth greater then 0, otherwise it's handled by it's own (results as str(id)).

For EmbeddedDocumentField also nested serializer autogenerated for non-zero depth, otherwise it is skipped. TODO: THIS IS PROBABLY WRONG AND SHOULD BE FIXED.

Generic fields GenericReferenceField and GenericEmbeddedDocumentField are handled by their own with corresponding serializer fields.

Not well supported or untested:

``FileField``
``ImageField``
``BinaryField``

All other fields are mapped to DocumentField and probably will work wrong.

idstringRead-onlyRequired
attach_idstringRequired
organizationstringRequired
module_idintegerOptional
module_namestringOptional
sub_modulestringOptional
storage_typestringOptional
reference_idstring · nullableOptional
account_idstring · nullableOptional
file_namestringOptional
zip_file_namestringOptional
file_typestring · max: 225Optional
file_sizeintegerOptional
file_pathstringOptional
file_iconstringOptional
versioninteger · nullableOptional
descriptionstringOptional
creation_timestring · date-timeOptional
last_update_timestring · date-timeOptional
is_deletedbooleanOptional
created_bystringOptional
is_privatebooleanOptional
show_download_iconbooleanOptionalDefault: true
parent_attach_idstring · nullableOptional
show_in_documentbooleanOptional
document_namestringRequired
latest_versionbooleanOptionalDefault: true
view_countintegerOptional
download_countintegerOptional
share_countintegerOptional
in_line_typeintegerOptional
file_hashstring · nullableOptional
external_file_urlstring · nullableOptional
menu_typestring · nullableOptional
editor_html_contentstring · nullableOptional
is_editorjs_documentbooleanOptional
document_statusstring · enumOptional
  • draft - draft
  • published - published
Possible values:
published_atstring · date-time · nullableOptional
signature_statusone of · nullableOptionalDefault: none
string · enumOptional
  • none - none
  • pending - pending
  • partial - partial
  • signed - signed
  • declined - declined
Possible values:
or
undefined · enumOptionalPossible values:
or
undefined · enumOptionalPossible values:
signatures_requiredinteger · nullableOptional
signatures_completedinteger · nullableOptional
signature_enabledbooleanOptional
external_template_idinteger · nullableOptional
external_template_slugstring · nullableOptional
external_frozen_template_idinteger · nullableOptional
external_frozen_template_slugstring · nullableOptional
external_submission_idinteger · nullableOptional
external_signed_document_urlstring · nullableOptional
external_audit_log_urlstring · nullableOptional
signed_atstring · date-time · nullableOptional
is_signed_versionbooleanOptional
original_attach_idstring · nullableOptional
version_typeone of · nullableOptional
string · enumOptional
  • edit - edit
  • signature - signature
Possible values:
or
undefined · enumOptionalPossible values:
or
undefined · enumOptionalPossible values:
post/api/documents/decline-signature/
POST /api/documents/decline-signature/ HTTP/1.1
Host: api.app.projetly.io
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 1441

{
  "attach_id": "text",
  "organization": "text",
  "module_id": 1,
  "module_name": "text",
  "sub_module": "text",
  "storage_type": "text",
  "reference_id": "text",
  "account_id": "text",
  "file_name": "text",
  "zip_file_name": "text",
  "file_type": "text",
  "file_size": 1,
  "file_path": "text",
  "file_icon": "text",
  "version": 1,
  "description": "text",
  "creation_time": "2026-01-01T00:00:00.000Z",
  "last_update_time": "2026-01-01T00:00:00.000Z",
  "is_deleted": true,
  "created_by": "text",
  "is_private": true,
  "show_download_icon": true,
  "tags": [],
  "private_users": [],
  "parent_attach_id": "text",
  "show_in_document": true,
  "document_name": "text",
  "latest_version": true,
  "view_count": 1,
  "download_count": 1,
  "share_count": 1,
  "in_line_type": 1,
  "file_hash": "text",
  "public_config": {
    "ANY_ADDITIONAL_PROPERTY": "anything"
  },
  "external_file_url": "text",
  "menu_type": "text",
  "editorjs_content": {
    "ANY_ADDITIONAL_PROPERTY": "anything"
  },
  "editor_html_content": "text",
  "is_editorjs_document": true,
  "document_status": "published",
  "published_at": "2026-01-01T00:00:00.000Z",
  "signature_status": "none",
  "signatures_required": 1,
  "signatures_completed": 1,
  "signature_enabled": true,
  "external_template_id": 1,
  "external_template_slug": "text",
  "external_frozen_template_id": 1,
  "external_frozen_template_slug": "text",
  "external_submission_id": 1,
  "signature_recipients": [],
  "external_signed_document_url": "text",
  "external_audit_log_url": "text",
  "signed_at": "2026-01-01T00:00:00.000Z",
  "is_signed_version": true,
  "original_attach_id": "text",
  "version_type": "edit"
}
200Success
{
  "id": "text",
  "attach_id": "text",
  "organization": "text",
  "module_id": 1,
  "module_name": "text",
  "sub_module": "text",
  "storage_type": "text",
  "reference_id": "text",
  "account_id": "text",
  "file_name": "text",
  "zip_file_name": "text",
  "file_type": "text",
  "file_size": 1,
  "file_path": "text",
  "file_icon": "text",
  "version": 1,
  "description": "text",
  "creation_time": "2026-01-01T00:00:00.000Z",
  "last_update_time": "2026-01-01T00:00:00.000Z",
  "is_deleted": true,
  "created_by": "text",
  "is_private": true,
  "show_download_icon": true,
  "tags": [],
  "private_users": [],
  "parent_attach_id": "text",
  "show_in_document": true,
  "document_name": "text",
  "latest_version": true,
  "view_count": 1,
  "download_count": 1,
  "share_count": 1,
  "in_line_type": 1,
  "file_hash": "text",
  "public_config": {
    "ANY_ADDITIONAL_PROPERTY": "anything"
  },
  "external_file_url": "text",
  "menu_type": "text",
  "editorjs_content": {
    "ANY_ADDITIONAL_PROPERTY": "anything"
  },
  "editor_html_content": "text",
  "is_editorjs_document": true,
  "document_status": "published",
  "published_at": "2026-01-01T00:00:00.000Z",
  "signature_status": "none",
  "signatures_required": 1,
  "signatures_completed": 1,
  "signature_enabled": true,
  "external_template_id": 1,
  "external_template_slug": "text",
  "external_frozen_template_id": 1,
  "external_frozen_template_slug": "text",
  "external_submission_id": 1,
  "signature_recipients": [],
  "external_signed_document_url": "text",
  "external_audit_log_url": "text",
  "signed_at": "2026-01-01T00:00:00.000Z",
  "is_signed_version": true,
  "original_attach_id": "text",
  "version_type": "edit"
}
get

API endpoint that allows documents to be created, viewed, deleted or edited.

Authorizations
AuthorizationstringRequired

JWT token obtained from /api/login/. Pass as: Authorization: Bearer

Responses
200Success
application/json

Serializer for Documents.

Recognized primitve fields:

* ``StringField``
* ``URLField``
* ``EmailField``
* ``IntField``
* ``LongField``
* ``FloatField``
* ``DecimalField``
* ``BooleanField``
* ``DateTimeField``
* ``ComplexDateTimeField``
* ``ObjectIdField``
* ``SequenceField`` (assumes it has integer counter)
* ``UUIDField``
* ``GeoPointField``
* ``GeoJsonBaseField`` (all those fields)
* ``DateField``

Compound fields: ListField and DictField are mapped to corresponding DRF fields, with respect to nested field specification.

The ReferenceField is handled like ForeignKey in DRF: there nested serializer autogenerated if serializer depth greater then 0, otherwise it's handled by it's own (results as str(id)).

For EmbeddedDocumentField also nested serializer autogenerated for non-zero depth, otherwise it is skipped. TODO: THIS IS PROBABLY WRONG AND SHOULD BE FIXED.

Generic fields GenericReferenceField and GenericEmbeddedDocumentField are handled by their own with corresponding serializer fields.

Not well supported or untested:

``FileField``
``ImageField``
``BinaryField``

All other fields are mapped to DocumentField and probably will work wrong.

idstringRead-onlyRequired
attach_idstringRequired
organizationstringRequired
module_idintegerOptional
module_namestringOptional
sub_modulestringOptional
storage_typestringOptional
reference_idstring · nullableOptional
account_idstring · nullableOptional
file_namestringOptional
zip_file_namestringOptional
file_typestring · max: 225Optional
file_sizeintegerOptional
file_pathstringOptional
file_iconstringOptional
versioninteger · nullableOptional
descriptionstringOptional
creation_timestring · date-timeOptional
last_update_timestring · date-timeOptional
is_deletedbooleanOptional
created_bystringOptional
is_privatebooleanOptional
show_download_iconbooleanOptionalDefault: true
parent_attach_idstring · nullableOptional
show_in_documentbooleanOptional
document_namestringRequired
latest_versionbooleanOptionalDefault: true
view_countintegerOptional
download_countintegerOptional
share_countintegerOptional
in_line_typeintegerOptional
file_hashstring · nullableOptional
external_file_urlstring · nullableOptional
menu_typestring · nullableOptional
editor_html_contentstring · nullableOptional
is_editorjs_documentbooleanOptional
document_statusstring · enumOptional
  • draft - draft
  • published - published
Possible values:
published_atstring · date-time · nullableOptional
signature_statusone of · nullableOptionalDefault: none
string · enumOptional
  • none - none
  • pending - pending
  • partial - partial
  • signed - signed
  • declined - declined
Possible values:
or
undefined · enumOptionalPossible values:
or
undefined · enumOptionalPossible values:
signatures_requiredinteger · nullableOptional
signatures_completedinteger · nullableOptional
signature_enabledbooleanOptional
external_template_idinteger · nullableOptional
external_template_slugstring · nullableOptional
external_frozen_template_idinteger · nullableOptional
external_frozen_template_slugstring · nullableOptional
external_submission_idinteger · nullableOptional
external_signed_document_urlstring · nullableOptional
external_audit_log_urlstring · nullableOptional
signed_atstring · date-time · nullableOptional
is_signed_versionbooleanOptional
original_attach_idstring · nullableOptional
version_typeone of · nullableOptional
string · enumOptional
  • edit - edit
  • signature - signature
Possible values:
or
undefined · enumOptionalPossible values:
or
undefined · enumOptionalPossible values:
get/api/documents/download/
GET /api/documents/download/ HTTP/1.1
Host: api.app.projetly.io
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
200Success
{
  "id": "text",
  "attach_id": "text",
  "organization": "text",
  "module_id": 1,
  "module_name": "text",
  "sub_module": "text",
  "storage_type": "text",
  "reference_id": "text",
  "account_id": "text",
  "file_name": "text",
  "zip_file_name": "text",
  "file_type": "text",
  "file_size": 1,
  "file_path": "text",
  "file_icon": "text",
  "version": 1,
  "description": "text",
  "creation_time": "2026-01-01T00:00:00.000Z",
  "last_update_time": "2026-01-01T00:00:00.000Z",
  "is_deleted": true,
  "created_by": "text",
  "is_private": true,
  "show_download_icon": true,
  "tags": [],
  "private_users": [],
  "parent_attach_id": "text",
  "show_in_document": true,
  "document_name": "text",
  "latest_version": true,
  "view_count": 1,
  "download_count": 1,
  "share_count": 1,
  "in_line_type": 1,
  "file_hash": "text",
  "public_config": {
    "ANY_ADDITIONAL_PROPERTY": "anything"
  },
  "external_file_url": "text",
  "menu_type": "text",
  "editorjs_content": {
    "ANY_ADDITIONAL_PROPERTY": "anything"
  },
  "editor_html_content": "text",
  "is_editorjs_document": true,
  "document_status": "published",
  "published_at": "2026-01-01T00:00:00.000Z",
  "signature_status": "none",
  "signatures_required": 1,
  "signatures_completed": 1,
  "signature_enabled": true,
  "external_template_id": 1,
  "external_template_slug": "text",
  "external_frozen_template_id": 1,
  "external_frozen_template_slug": "text",
  "external_submission_id": 1,
  "signature_recipients": [],
  "external_signed_document_url": "text",
  "external_audit_log_url": "text",
  "signed_at": "2026-01-01T00:00:00.000Z",
  "is_signed_version": true,
  "original_attach_id": "text",
  "version_type": "edit"
}

Download Signed Document

get

Download signed document for a specific signer

Authorizations
AuthorizationstringRequired

JWT token obtained from /api/login/. Pass as: Authorization: Bearer

Query parameters
attachment_idstringRequired

Document attachment ID

signer_emailstringRequired

Email of the signer whose signed document to download

Responses
200Success
application/json

Serializer for Documents.

Recognized primitve fields:

* ``StringField``
* ``URLField``
* ``EmailField``
* ``IntField``
* ``LongField``
* ``FloatField``
* ``DecimalField``
* ``BooleanField``
* ``DateTimeField``
* ``ComplexDateTimeField``
* ``ObjectIdField``
* ``SequenceField`` (assumes it has integer counter)
* ``UUIDField``
* ``GeoPointField``
* ``GeoJsonBaseField`` (all those fields)
* ``DateField``

Compound fields: ListField and DictField are mapped to corresponding DRF fields, with respect to nested field specification.

The ReferenceField is handled like ForeignKey in DRF: there nested serializer autogenerated if serializer depth greater then 0, otherwise it's handled by it's own (results as str(id)).

For EmbeddedDocumentField also nested serializer autogenerated for non-zero depth, otherwise it is skipped. TODO: THIS IS PROBABLY WRONG AND SHOULD BE FIXED.

Generic fields GenericReferenceField and GenericEmbeddedDocumentField are handled by their own with corresponding serializer fields.

Not well supported or untested:

``FileField``
``ImageField``
``BinaryField``

All other fields are mapped to DocumentField and probably will work wrong.

idstringRead-onlyRequired
attach_idstringRequired
organizationstringRequired
module_idintegerOptional
module_namestringOptional
sub_modulestringOptional
storage_typestringOptional
reference_idstring · nullableOptional
account_idstring · nullableOptional
file_namestringOptional
zip_file_namestringOptional
file_typestring · max: 225Optional
file_sizeintegerOptional
file_pathstringOptional
file_iconstringOptional
versioninteger · nullableOptional
descriptionstringOptional
creation_timestring · date-timeOptional
last_update_timestring · date-timeOptional
is_deletedbooleanOptional
created_bystringOptional
is_privatebooleanOptional
show_download_iconbooleanOptionalDefault: true
parent_attach_idstring · nullableOptional
show_in_documentbooleanOptional
document_namestringRequired
latest_versionbooleanOptionalDefault: true
view_countintegerOptional
download_countintegerOptional
share_countintegerOptional
in_line_typeintegerOptional
file_hashstring · nullableOptional
external_file_urlstring · nullableOptional
menu_typestring · nullableOptional
editor_html_contentstring · nullableOptional
is_editorjs_documentbooleanOptional
document_statusstring · enumOptional
  • draft - draft
  • published - published
Possible values:
published_atstring · date-time · nullableOptional
signature_statusone of · nullableOptionalDefault: none
string · enumOptional
  • none - none
  • pending - pending
  • partial - partial
  • signed - signed
  • declined - declined
Possible values:
or
undefined · enumOptionalPossible values:
or
undefined · enumOptionalPossible values:
signatures_requiredinteger · nullableOptional
signatures_completedinteger · nullableOptional
signature_enabledbooleanOptional
external_template_idinteger · nullableOptional
external_template_slugstring · nullableOptional
external_frozen_template_idinteger · nullableOptional
external_frozen_template_slugstring · nullableOptional
external_submission_idinteger · nullableOptional
external_signed_document_urlstring · nullableOptional
external_audit_log_urlstring · nullableOptional
signed_atstring · date-time · nullableOptional
is_signed_versionbooleanOptional
original_attach_idstring · nullableOptional
version_typeone of · nullableOptional
string · enumOptional
  • edit - edit
  • signature - signature
Possible values:
or
undefined · enumOptionalPossible values:
or
undefined · enumOptionalPossible values:
get/api/documents/download-signed/
GET /api/documents/download-signed/?attachment_id=text&signer_email=text HTTP/1.1
Host: api.app.projetly.io
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
200Success
{
  "id": "text",
  "attach_id": "text",
  "organization": "text",
  "module_id": 1,
  "module_name": "text",
  "sub_module": "text",
  "storage_type": "text",
  "reference_id": "text",
  "account_id": "text",
  "file_name": "text",
  "zip_file_name": "text",
  "file_type": "text",
  "file_size": 1,
  "file_path": "text",
  "file_icon": "text",
  "version": 1,
  "description": "text",
  "creation_time": "2026-01-01T00:00:00.000Z",
  "last_update_time": "2026-01-01T00:00:00.000Z",
  "is_deleted": true,
  "created_by": "text",
  "is_private": true,
  "show_download_icon": true,
  "tags": [],
  "private_users": [],
  "parent_attach_id": "text",
  "show_in_document": true,
  "document_name": "text",
  "latest_version": true,
  "view_count": 1,
  "download_count": 1,
  "share_count": 1,
  "in_line_type": 1,
  "file_hash": "text",
  "public_config": {
    "ANY_ADDITIONAL_PROPERTY": "anything"
  },
  "external_file_url": "text",
  "menu_type": "text",
  "editorjs_content": {
    "ANY_ADDITIONAL_PROPERTY": "anything"
  },
  "editor_html_content": "text",
  "is_editorjs_document": true,
  "document_status": "published",
  "published_at": "2026-01-01T00:00:00.000Z",
  "signature_status": "none",
  "signatures_required": 1,
  "signatures_completed": 1,
  "signature_enabled": true,
  "external_template_id": 1,
  "external_template_slug": "text",
  "external_frozen_template_id": 1,
  "external_frozen_template_slug": "text",
  "external_submission_id": 1,
  "signature_recipients": [],
  "external_signed_document_url": "text",
  "external_audit_log_url": "text",
  "signed_at": "2026-01-01T00:00:00.000Z",
  "is_signed_version": true,
  "original_attach_id": "text",
  "version_type": "edit"
}
post

API endpoint that allows documents to be created, viewed, deleted or edited.

Authorizations
AuthorizationstringRequired

JWT token obtained from /api/login/. Pass as: Authorization: Bearer

Body

Serializer for Documents.

Recognized primitve fields:

* ``StringField``
* ``URLField``
* ``EmailField``
* ``IntField``
* ``LongField``
* ``FloatField``
* ``DecimalField``
* ``BooleanField``
* ``DateTimeField``
* ``ComplexDateTimeField``
* ``ObjectIdField``
* ``SequenceField`` (assumes it has integer counter)
* ``UUIDField``
* ``GeoPointField``
* ``GeoJsonBaseField`` (all those fields)
* ``DateField``

Compound fields: ListField and DictField are mapped to corresponding DRF fields, with respect to nested field specification.

The ReferenceField is handled like ForeignKey in DRF: there nested serializer autogenerated if serializer depth greater then 0, otherwise it's handled by it's own (results as str(id)).

For EmbeddedDocumentField also nested serializer autogenerated for non-zero depth, otherwise it is skipped. TODO: THIS IS PROBABLY WRONG AND SHOULD BE FIXED.

Generic fields GenericReferenceField and GenericEmbeddedDocumentField are handled by their own with corresponding serializer fields.

Not well supported or untested:

``FileField``
``ImageField``
``BinaryField``

All other fields are mapped to DocumentField and probably will work wrong.

idstringRead-onlyRequired
attach_idstringRequired
organizationstringRequired
module_idintegerOptional
module_namestringOptional
sub_modulestringOptional
storage_typestringOptional
reference_idstring · nullableOptional
account_idstring · nullableOptional
file_namestringOptional
zip_file_namestringOptional
file_typestring · max: 225Optional
file_sizeintegerOptional
file_pathstringOptional
file_iconstringOptional
versioninteger · nullableOptional
descriptionstringOptional
creation_timestring · date-timeOptional
last_update_timestring · date-timeOptional
is_deletedbooleanOptional
created_bystringOptional
is_privatebooleanOptional
show_download_iconbooleanOptionalDefault: true
parent_attach_idstring · nullableOptional
show_in_documentbooleanOptional
document_namestringRequired
latest_versionbooleanOptionalDefault: true
view_countintegerOptional
download_countintegerOptional
share_countintegerOptional
in_line_typeintegerOptional
file_hashstring · nullableOptional
external_file_urlstring · nullableOptional
menu_typestring · nullableOptional
editor_html_contentstring · nullableOptional
is_editorjs_documentbooleanOptional
document_statusstring · enumOptional
  • draft - draft
  • published - published
Possible values:
published_atstring · date-time · nullableOptional
signature_statusone of · nullableOptionalDefault: none
string · enumOptional
  • none - none
  • pending - pending
  • partial - partial
  • signed - signed
  • declined - declined
Possible values:
or
undefined · enumOptionalPossible values:
or
undefined · enumOptionalPossible values:
signatures_requiredinteger · nullableOptional
signatures_completedinteger · nullableOptional
signature_enabledbooleanOptional
external_template_idinteger · nullableOptional
external_template_slugstring · nullableOptional
external_frozen_template_idinteger · nullableOptional
external_frozen_template_slugstring · nullableOptional
external_submission_idinteger · nullableOptional
external_signed_document_urlstring · nullableOptional
external_audit_log_urlstring · nullableOptional
signed_atstring · date-time · nullableOptional
is_signed_versionbooleanOptional
original_attach_idstring · nullableOptional
version_typeone of · nullableOptional
string · enumOptional
  • edit - edit
  • signature - signature
Possible values:
or
undefined · enumOptionalPossible values:
or
undefined · enumOptionalPossible values:
Responses
200Success
application/json

Serializer for Documents.

Recognized primitve fields:

* ``StringField``
* ``URLField``
* ``EmailField``
* ``IntField``
* ``LongField``
* ``FloatField``
* ``DecimalField``
* ``BooleanField``
* ``DateTimeField``
* ``ComplexDateTimeField``
* ``ObjectIdField``
* ``SequenceField`` (assumes it has integer counter)
* ``UUIDField``
* ``GeoPointField``
* ``GeoJsonBaseField`` (all those fields)
* ``DateField``

Compound fields: ListField and DictField are mapped to corresponding DRF fields, with respect to nested field specification.

The ReferenceField is handled like ForeignKey in DRF: there nested serializer autogenerated if serializer depth greater then 0, otherwise it's handled by it's own (results as str(id)).

For EmbeddedDocumentField also nested serializer autogenerated for non-zero depth, otherwise it is skipped. TODO: THIS IS PROBABLY WRONG AND SHOULD BE FIXED.

Generic fields GenericReferenceField and GenericEmbeddedDocumentField are handled by their own with corresponding serializer fields.

Not well supported or untested:

``FileField``
``ImageField``
``BinaryField``

All other fields are mapped to DocumentField and probably will work wrong.

idstringRead-onlyRequired
attach_idstringRequired
organizationstringRequired
module_idintegerOptional
module_namestringOptional
sub_modulestringOptional
storage_typestringOptional
reference_idstring · nullableOptional
account_idstring · nullableOptional
file_namestringOptional
zip_file_namestringOptional
file_typestring · max: 225Optional
file_sizeintegerOptional
file_pathstringOptional
file_iconstringOptional
versioninteger · nullableOptional
descriptionstringOptional
creation_timestring · date-timeOptional
last_update_timestring · date-timeOptional
is_deletedbooleanOptional
created_bystringOptional
is_privatebooleanOptional
show_download_iconbooleanOptionalDefault: true
parent_attach_idstring · nullableOptional
show_in_documentbooleanOptional
document_namestringRequired
latest_versionbooleanOptionalDefault: true
view_countintegerOptional
download_countintegerOptional
share_countintegerOptional
in_line_typeintegerOptional
file_hashstring · nullableOptional
external_file_urlstring · nullableOptional
menu_typestring · nullableOptional
editor_html_contentstring · nullableOptional
is_editorjs_documentbooleanOptional
document_statusstring · enumOptional
  • draft - draft
  • published - published
Possible values:
published_atstring · date-time · nullableOptional
signature_statusone of · nullableOptionalDefault: none
string · enumOptional
  • none - none
  • pending - pending
  • partial - partial
  • signed - signed
  • declined - declined
Possible values:
or
undefined · enumOptionalPossible values:
or
undefined · enumOptionalPossible values:
signatures_requiredinteger · nullableOptional
signatures_completedinteger · nullableOptional
signature_enabledbooleanOptional
external_template_idinteger · nullableOptional
external_template_slugstring · nullableOptional
external_frozen_template_idinteger · nullableOptional
external_frozen_template_slugstring · nullableOptional
external_submission_idinteger · nullableOptional
external_signed_document_urlstring · nullableOptional
external_audit_log_urlstring · nullableOptional
signed_atstring · date-time · nullableOptional
is_signed_versionbooleanOptional
original_attach_idstring · nullableOptional
version_typeone of · nullableOptional
string · enumOptional
  • edit - edit
  • signature - signature
Possible values:
or
undefined · enumOptionalPossible values:
or
undefined · enumOptionalPossible values:
post/api/documents/engagement/
POST /api/documents/engagement/ HTTP/1.1
Host: api.app.projetly.io
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 1441

{
  "attach_id": "text",
  "organization": "text",
  "module_id": 1,
  "module_name": "text",
  "sub_module": "text",
  "storage_type": "text",
  "reference_id": "text",
  "account_id": "text",
  "file_name": "text",
  "zip_file_name": "text",
  "file_type": "text",
  "file_size": 1,
  "file_path": "text",
  "file_icon": "text",
  "version": 1,
  "description": "text",
  "creation_time": "2026-01-01T00:00:00.000Z",
  "last_update_time": "2026-01-01T00:00:00.000Z",
  "is_deleted": true,
  "created_by": "text",
  "is_private": true,
  "show_download_icon": true,
  "tags": [],
  "private_users": [],
  "parent_attach_id": "text",
  "show_in_document": true,
  "document_name": "text",
  "latest_version": true,
  "view_count": 1,
  "download_count": 1,
  "share_count": 1,
  "in_line_type": 1,
  "file_hash": "text",
  "public_config": {
    "ANY_ADDITIONAL_PROPERTY": "anything"
  },
  "external_file_url": "text",
  "menu_type": "text",
  "editorjs_content": {
    "ANY_ADDITIONAL_PROPERTY": "anything"
  },
  "editor_html_content": "text",
  "is_editorjs_document": true,
  "document_status": "published",
  "published_at": "2026-01-01T00:00:00.000Z",
  "signature_status": "none",
  "signatures_required": 1,
  "signatures_completed": 1,
  "signature_enabled": true,
  "external_template_id": 1,
  "external_template_slug": "text",
  "external_frozen_template_id": 1,
  "external_frozen_template_slug": "text",
  "external_submission_id": 1,
  "signature_recipients": [],
  "external_signed_document_url": "text",
  "external_audit_log_url": "text",
  "signed_at": "2026-01-01T00:00:00.000Z",
  "is_signed_version": true,
  "original_attach_id": "text",
  "version_type": "edit"
}
200Success
{
  "id": "text",
  "attach_id": "text",
  "organization": "text",
  "module_id": 1,
  "module_name": "text",
  "sub_module": "text",
  "storage_type": "text",
  "reference_id": "text",
  "account_id": "text",
  "file_name": "text",
  "zip_file_name": "text",
  "file_type": "text",
  "file_size": 1,
  "file_path": "text",
  "file_icon": "text",
  "version": 1,
  "description": "text",
  "creation_time": "2026-01-01T00:00:00.000Z",
  "last_update_time": "2026-01-01T00:00:00.000Z",
  "is_deleted": true,
  "created_by": "text",
  "is_private": true,
  "show_download_icon": true,
  "tags": [],
  "private_users": [],
  "parent_attach_id": "text",
  "show_in_document": true,
  "document_name": "text",
  "latest_version": true,
  "view_count": 1,
  "download_count": 1,
  "share_count": 1,
  "in_line_type": 1,
  "file_hash": "text",
  "public_config": {
    "ANY_ADDITIONAL_PROPERTY": "anything"
  },
  "external_file_url": "text",
  "menu_type": "text",
  "editorjs_content": {
    "ANY_ADDITIONAL_PROPERTY": "anything"
  },
  "editor_html_content": "text",
  "is_editorjs_document": true,
  "document_status": "published",
  "published_at": "2026-01-01T00:00:00.000Z",
  "signature_status": "none",
  "signatures_required": 1,
  "signatures_completed": 1,
  "signature_enabled": true,
  "external_template_id": 1,
  "external_template_slug": "text",
  "external_frozen_template_id": 1,
  "external_frozen_template_slug": "text",
  "external_submission_id": 1,
  "signature_recipients": [],
  "external_signed_document_url": "text",
  "external_audit_log_url": "text",
  "signed_at": "2026-01-01T00:00:00.000Z",
  "is_signed_version": true,
  "original_attach_id": "text",
  "version_type": "edit"
}

Initiate E-Signature

post

Initiate e-signature process for a document using DocuSeal

Authorizations
AuthorizationstringRequired

JWT token obtained from /api/login/. Pass as: Authorization: Bearer

Body
Other propertiesanyOptional
Responses
200

No response body

No content

post/api/documents/initiate-esign/
POST /api/documents/initiate-esign/ HTTP/1.1
Host: api.app.projetly.io
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 38

{
  "ANY_ADDITIONAL_PROPERTY": "anything"
}
200

No response body

No content

get

API endpoint that allows documents to be created, viewed, deleted or edited.

Authorizations
AuthorizationstringRequired

JWT token obtained from /api/login/. Pass as: Authorization: Bearer

Responses
200Success
application/json

Serializer for Documents.

Recognized primitve fields:

* ``StringField``
* ``URLField``
* ``EmailField``
* ``IntField``
* ``LongField``
* ``FloatField``
* ``DecimalField``
* ``BooleanField``
* ``DateTimeField``
* ``ComplexDateTimeField``
* ``ObjectIdField``
* ``SequenceField`` (assumes it has integer counter)
* ``UUIDField``
* ``GeoPointField``
* ``GeoJsonBaseField`` (all those fields)
* ``DateField``

Compound fields: ListField and DictField are mapped to corresponding DRF fields, with respect to nested field specification.

The ReferenceField is handled like ForeignKey in DRF: there nested serializer autogenerated if serializer depth greater then 0, otherwise it's handled by it's own (results as str(id)).

For EmbeddedDocumentField also nested serializer autogenerated for non-zero depth, otherwise it is skipped. TODO: THIS IS PROBABLY WRONG AND SHOULD BE FIXED.

Generic fields GenericReferenceField and GenericEmbeddedDocumentField are handled by their own with corresponding serializer fields.

Not well supported or untested:

``FileField``
``ImageField``
``BinaryField``

All other fields are mapped to DocumentField and probably will work wrong.

idstringRead-onlyRequired
attach_idstringRequired
organizationstringRequired
module_idintegerOptional
module_namestringOptional
sub_modulestringOptional
storage_typestringOptional
reference_idstring · nullableOptional
account_idstring · nullableOptional
file_namestringOptional
zip_file_namestringOptional
file_typestring · max: 225Optional
file_sizeintegerOptional
file_pathstringOptional
file_iconstringOptional
versioninteger · nullableOptional
descriptionstringOptional
creation_timestring · date-timeOptional
last_update_timestring · date-timeOptional
is_deletedbooleanOptional
created_bystringOptional
is_privatebooleanOptional
show_download_iconbooleanOptionalDefault: true
parent_attach_idstring · nullableOptional
show_in_documentbooleanOptional
document_namestringRequired
latest_versionbooleanOptionalDefault: true
view_countintegerOptional
download_countintegerOptional
share_countintegerOptional
in_line_typeintegerOptional
file_hashstring · nullableOptional
external_file_urlstring · nullableOptional
menu_typestring · nullableOptional
editor_html_contentstring · nullableOptional
is_editorjs_documentbooleanOptional
document_statusstring · enumOptional
  • draft - draft
  • published - published
Possible values:
published_atstring · date-time · nullableOptional
signature_statusone of · nullableOptionalDefault: none
string · enumOptional
  • none - none
  • pending - pending
  • partial - partial
  • signed - signed
  • declined - declined
Possible values:
or
undefined · enumOptionalPossible values:
or
undefined · enumOptionalPossible values:
signatures_requiredinteger · nullableOptional
signatures_completedinteger · nullableOptional
signature_enabledbooleanOptional
external_template_idinteger · nullableOptional
external_template_slugstring · nullableOptional
external_frozen_template_idinteger · nullableOptional
external_frozen_template_slugstring · nullableOptional
external_submission_idinteger · nullableOptional
external_signed_document_urlstring · nullableOptional
external_audit_log_urlstring · nullableOptional
signed_atstring · date-time · nullableOptional
is_signed_versionbooleanOptional
original_attach_idstring · nullableOptional
version_typeone of · nullableOptional
string · enumOptional
  • edit - edit
  • signature - signature
Possible values:
or
undefined · enumOptionalPossible values:
or
undefined · enumOptionalPossible values:
get/api/documents/options/
GET /api/documents/options/ HTTP/1.1
Host: api.app.projetly.io
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
200Success
{
  "id": "text",
  "attach_id": "text",
  "organization": "text",
  "module_id": 1,
  "module_name": "text",
  "sub_module": "text",
  "storage_type": "text",
  "reference_id": "text",
  "account_id": "text",
  "file_name": "text",
  "zip_file_name": "text",
  "file_type": "text",
  "file_size": 1,
  "file_path": "text",
  "file_icon": "text",
  "version": 1,
  "description": "text",
  "creation_time": "2026-01-01T00:00:00.000Z",
  "last_update_time": "2026-01-01T00:00:00.000Z",
  "is_deleted": true,
  "created_by": "text",
  "is_private": true,
  "show_download_icon": true,
  "tags": [],
  "private_users": [],
  "parent_attach_id": "text",
  "show_in_document": true,
  "document_name": "text",
  "latest_version": true,
  "view_count": 1,
  "download_count": 1,
  "share_count": 1,
  "in_line_type": 1,
  "file_hash": "text",
  "public_config": {
    "ANY_ADDITIONAL_PROPERTY": "anything"
  },
  "external_file_url": "text",
  "menu_type": "text",
  "editorjs_content": {
    "ANY_ADDITIONAL_PROPERTY": "anything"
  },
  "editor_html_content": "text",
  "is_editorjs_document": true,
  "document_status": "published",
  "published_at": "2026-01-01T00:00:00.000Z",
  "signature_status": "none",
  "signatures_required": 1,
  "signatures_completed": 1,
  "signature_enabled": true,
  "external_template_id": 1,
  "external_template_slug": "text",
  "external_frozen_template_id": 1,
  "external_frozen_template_slug": "text",
  "external_submission_id": 1,
  "signature_recipients": [],
  "external_signed_document_url": "text",
  "external_audit_log_url": "text",
  "signed_at": "2026-01-01T00:00:00.000Z",
  "is_signed_version": true,
  "original_attach_id": "text",
  "version_type": "edit"
}

Accept Transfer Ownership

post

Accept document ownership transfer. Recipient must call this to become the new owner.

Authorizations
AuthorizationstringRequired

JWT token obtained from /api/login/. Pass as: Authorization: Bearer

Body
Other propertiesanyOptional
Responses
200

No response body

No content

post/api/documents/ownership/accept/
POST /api/documents/ownership/accept/ HTTP/1.1
Host: api.app.projetly.io
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 31

{
  "transfer_token": "uuid-token"
}
200

No response body

No content

Initiate Transfer Ownership

post

Initiate document ownership transfer to another user. Current owner sends transfer request.

Authorizations
AuthorizationstringRequired

JWT token obtained from /api/login/. Pass as: Authorization: Bearer

Body
Other propertiesanyOptional
Responses
200

No response body

No content

post/api/documents/ownership/initiate/
POST /api/documents/ownership/initiate/ HTTP/1.1
Host: api.app.projetly.io
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 47

{
  "attach_id": "doc_123",
  "to_user_id": "user_456"
}
200

No response body

No content

Publish Document

post

Publish a draft EditorJS document

Authorizations
AuthorizationstringRequired

JWT token obtained from /api/login/. Pass as: Authorization: Bearer

Body
Other propertiesanyOptional
Responses
200

No response body

No content

post/api/documents/publish/
POST /api/documents/publish/ HTTP/1.1
Host: api.app.projetly.io
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 38

{
  "ANY_ADDITIONAL_PROPERTY": "anything"
}
200

No response body

No content

Save Signature Template

post

Save DocuSeal template_id after configuring signature fields

Authorizations
AuthorizationstringRequired

JWT token obtained from /api/login/. Pass as: Authorization: Bearer

Body
Other propertiesanyOptional
Responses
200

No response body

No content

post/api/documents/save-signature-template/
POST /api/documents/save-signature-template/ HTTP/1.1
Host: api.app.projetly.io
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 38

{
  "ANY_ADDITIONAL_PROPERTY": "anything"
}
200

No response body

No content

Send for Signature

post

Send document for signature to specified recipients

Authorizations
AuthorizationstringRequired

JWT token obtained from /api/login/. Pass as: Authorization: Bearer

Body
Other propertiesanyOptional
Responses
200

No response body

No content

post/api/documents/send-for-signature/
POST /api/documents/send-for-signature/ HTTP/1.1
Host: api.app.projetly.io
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 38

{
  "ANY_ADDITIONAL_PROPERTY": "anything"
}
200

No response body

No content

post

API endpoint that allows documents to be created, viewed, deleted or edited.

Authorizations
AuthorizationstringRequired

JWT token obtained from /api/login/. Pass as: Authorization: Bearer

Body

Serializer for Documents.

Recognized primitve fields:

* ``StringField``
* ``URLField``
* ``EmailField``
* ``IntField``
* ``LongField``
* ``FloatField``
* ``DecimalField``
* ``BooleanField``
* ``DateTimeField``
* ``ComplexDateTimeField``
* ``ObjectIdField``
* ``SequenceField`` (assumes it has integer counter)
* ``UUIDField``
* ``GeoPointField``
* ``GeoJsonBaseField`` (all those fields)
* ``DateField``

Compound fields: ListField and DictField are mapped to corresponding DRF fields, with respect to nested field specification.

The ReferenceField is handled like ForeignKey in DRF: there nested serializer autogenerated if serializer depth greater then 0, otherwise it's handled by it's own (results as str(id)).

For EmbeddedDocumentField also nested serializer autogenerated for non-zero depth, otherwise it is skipped. TODO: THIS IS PROBABLY WRONG AND SHOULD BE FIXED.

Generic fields GenericReferenceField and GenericEmbeddedDocumentField are handled by their own with corresponding serializer fields.

Not well supported or untested:

``FileField``
``ImageField``
``BinaryField``

All other fields are mapped to DocumentField and probably will work wrong.

idstringRead-onlyRequired
attach_idstringRequired
organizationstringRequired
module_idintegerOptional
module_namestringOptional
sub_modulestringOptional
storage_typestringOptional
reference_idstring · nullableOptional
account_idstring · nullableOptional
file_namestringOptional
zip_file_namestringOptional
file_typestring · max: 225Optional
file_sizeintegerOptional
file_pathstringOptional
file_iconstringOptional
versioninteger · nullableOptional
descriptionstringOptional
creation_timestring · date-timeOptional
last_update_timestring · date-timeOptional
is_deletedbooleanOptional
created_bystringOptional
is_privatebooleanOptional
show_download_iconbooleanOptionalDefault: true
parent_attach_idstring · nullableOptional
show_in_documentbooleanOptional
document_namestringRequired
latest_versionbooleanOptionalDefault: true
view_countintegerOptional
download_countintegerOptional
share_countintegerOptional
in_line_typeintegerOptional
file_hashstring · nullableOptional
external_file_urlstring · nullableOptional
menu_typestring · nullableOptional
editor_html_contentstring · nullableOptional
is_editorjs_documentbooleanOptional
document_statusstring · enumOptional
  • draft - draft
  • published - published
Possible values:
published_atstring · date-time · nullableOptional
signature_statusone of · nullableOptionalDefault: none
string · enumOptional
  • none - none
  • pending - pending
  • partial - partial
  • signed - signed
  • declined - declined
Possible values:
or
undefined · enumOptionalPossible values:
or
undefined · enumOptionalPossible values:
signatures_requiredinteger · nullableOptional
signatures_completedinteger · nullableOptional
signature_enabledbooleanOptional
external_template_idinteger · nullableOptional
external_template_slugstring · nullableOptional
external_frozen_template_idinteger · nullableOptional
external_frozen_template_slugstring · nullableOptional
external_submission_idinteger · nullableOptional
external_signed_document_urlstring · nullableOptional
external_audit_log_urlstring · nullableOptional
signed_atstring · date-time · nullableOptional
is_signed_versionbooleanOptional
original_attach_idstring · nullableOptional
version_typeone of · nullableOptional
string · enumOptional
  • edit - edit
  • signature - signature
Possible values:
or
undefined · enumOptionalPossible values:
or
undefined · enumOptionalPossible values:
Responses
200Success
application/json

Serializer for Documents.

Recognized primitve fields:

* ``StringField``
* ``URLField``
* ``EmailField``
* ``IntField``
* ``LongField``
* ``FloatField``
* ``DecimalField``
* ``BooleanField``
* ``DateTimeField``
* ``ComplexDateTimeField``
* ``ObjectIdField``
* ``SequenceField`` (assumes it has integer counter)
* ``UUIDField``
* ``GeoPointField``
* ``GeoJsonBaseField`` (all those fields)
* ``DateField``

Compound fields: ListField and DictField are mapped to corresponding DRF fields, with respect to nested field specification.

The ReferenceField is handled like ForeignKey in DRF: there nested serializer autogenerated if serializer depth greater then 0, otherwise it's handled by it's own (results as str(id)).

For EmbeddedDocumentField also nested serializer autogenerated for non-zero depth, otherwise it is skipped. TODO: THIS IS PROBABLY WRONG AND SHOULD BE FIXED.

Generic fields GenericReferenceField and GenericEmbeddedDocumentField are handled by their own with corresponding serializer fields.

Not well supported or untested:

``FileField``
``ImageField``
``BinaryField``

All other fields are mapped to DocumentField and probably will work wrong.

idstringRead-onlyRequired
attach_idstringRequired
organizationstringRequired
module_idintegerOptional
module_namestringOptional
sub_modulestringOptional
storage_typestringOptional
reference_idstring · nullableOptional
account_idstring · nullableOptional
file_namestringOptional
zip_file_namestringOptional
file_typestring · max: 225Optional
file_sizeintegerOptional
file_pathstringOptional
file_iconstringOptional
versioninteger · nullableOptional
descriptionstringOptional
creation_timestring · date-timeOptional
last_update_timestring · date-timeOptional
is_deletedbooleanOptional
created_bystringOptional
is_privatebooleanOptional
show_download_iconbooleanOptionalDefault: true
parent_attach_idstring · nullableOptional
show_in_documentbooleanOptional
document_namestringRequired
latest_versionbooleanOptionalDefault: true
view_countintegerOptional
download_countintegerOptional
share_countintegerOptional
in_line_typeintegerOptional
file_hashstring · nullableOptional
external_file_urlstring · nullableOptional
menu_typestring · nullableOptional
editor_html_contentstring · nullableOptional
is_editorjs_documentbooleanOptional
document_statusstring · enumOptional
  • draft - draft
  • published - published
Possible values:
published_atstring · date-time · nullableOptional
signature_statusone of · nullableOptionalDefault: none
string · enumOptional
  • none - none
  • pending - pending
  • partial - partial
  • signed - signed
  • declined - declined
Possible values:
or
undefined · enumOptionalPossible values:
or
undefined · enumOptionalPossible values:
signatures_requiredinteger · nullableOptional
signatures_completedinteger · nullableOptional
signature_enabledbooleanOptional
external_template_idinteger · nullableOptional
external_template_slugstring · nullableOptional
external_frozen_template_idinteger · nullableOptional
external_frozen_template_slugstring · nullableOptional
external_submission_idinteger · nullableOptional
external_signed_document_urlstring · nullableOptional
external_audit_log_urlstring · nullableOptional
signed_atstring · date-time · nullableOptional
is_signed_versionbooleanOptional
original_attach_idstring · nullableOptional
version_typeone of · nullableOptional
string · enumOptional
  • edit - edit
  • signature - signature
Possible values:
or
undefined · enumOptionalPossible values:
or
undefined · enumOptionalPossible values:
post/api/documents/send-reminder/
POST /api/documents/send-reminder/ HTTP/1.1
Host: api.app.projetly.io
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 1441

{
  "attach_id": "text",
  "organization": "text",
  "module_id": 1,
  "module_name": "text",
  "sub_module": "text",
  "storage_type": "text",
  "reference_id": "text",
  "account_id": "text",
  "file_name": "text",
  "zip_file_name": "text",
  "file_type": "text",
  "file_size": 1,
  "file_path": "text",
  "file_icon": "text",
  "version": 1,
  "description": "text",
  "creation_time": "2026-01-01T00:00:00.000Z",
  "last_update_time": "2026-01-01T00:00:00.000Z",
  "is_deleted": true,
  "created_by": "text",
  "is_private": true,
  "show_download_icon": true,
  "tags": [],
  "private_users": [],
  "parent_attach_id": "text",
  "show_in_document": true,
  "document_name": "text",
  "latest_version": true,
  "view_count": 1,
  "download_count": 1,
  "share_count": 1,
  "in_line_type": 1,
  "file_hash": "text",
  "public_config": {
    "ANY_ADDITIONAL_PROPERTY": "anything"
  },
  "external_file_url": "text",
  "menu_type": "text",
  "editorjs_content": {
    "ANY_ADDITIONAL_PROPERTY": "anything"
  },
  "editor_html_content": "text",
  "is_editorjs_document": true,
  "document_status": "published",
  "published_at": "2026-01-01T00:00:00.000Z",
  "signature_status": "none",
  "signatures_required": 1,
  "signatures_completed": 1,
  "signature_enabled": true,
  "external_template_id": 1,
  "external_template_slug": "text",
  "external_frozen_template_id": 1,
  "external_frozen_template_slug": "text",
  "external_submission_id": 1,
  "signature_recipients": [],
  "external_signed_document_url": "text",
  "external_audit_log_url": "text",
  "signed_at": "2026-01-01T00:00:00.000Z",
  "is_signed_version": true,
  "original_attach_id": "text",
  "version_type": "edit"
}
200Success
{
  "id": "text",
  "attach_id": "text",
  "organization": "text",
  "module_id": 1,
  "module_name": "text",
  "sub_module": "text",
  "storage_type": "text",
  "reference_id": "text",
  "account_id": "text",
  "file_name": "text",
  "zip_file_name": "text",
  "file_type": "text",
  "file_size": 1,
  "file_path": "text",
  "file_icon": "text",
  "version": 1,
  "description": "text",
  "creation_time": "2026-01-01T00:00:00.000Z",
  "last_update_time": "2026-01-01T00:00:00.000Z",
  "is_deleted": true,
  "created_by": "text",
  "is_private": true,
  "show_download_icon": true,
  "tags": [],
  "private_users": [],
  "parent_attach_id": "text",
  "show_in_document": true,
  "document_name": "text",
  "latest_version": true,
  "view_count": 1,
  "download_count": 1,
  "share_count": 1,
  "in_line_type": 1,
  "file_hash": "text",
  "public_config": {
    "ANY_ADDITIONAL_PROPERTY": "anything"
  },
  "external_file_url": "text",
  "menu_type": "text",
  "editorjs_content": {
    "ANY_ADDITIONAL_PROPERTY": "anything"
  },
  "editor_html_content": "text",
  "is_editorjs_document": true,
  "document_status": "published",
  "published_at": "2026-01-01T00:00:00.000Z",
  "signature_status": "none",
  "signatures_required": 1,
  "signatures_completed": 1,
  "signature_enabled": true,
  "external_template_id": 1,
  "external_template_slug": "text",
  "external_frozen_template_id": 1,
  "external_frozen_template_slug": "text",
  "external_submission_id": 1,
  "signature_recipients": [],
  "external_signed_document_url": "text",
  "external_audit_log_url": "text",
  "signed_at": "2026-01-01T00:00:00.000Z",
  "is_signed_version": true,
  "original_attach_id": "text",
  "version_type": "edit"
}
get

API endpoint that allows documents to be created, viewed, deleted or edited.

Authorizations
AuthorizationstringRequired

JWT token obtained from /api/login/. Pass as: Authorization: Bearer

Responses
200Success
application/json

Serializer for Documents.

Recognized primitve fields:

* ``StringField``
* ``URLField``
* ``EmailField``
* ``IntField``
* ``LongField``
* ``FloatField``
* ``DecimalField``
* ``BooleanField``
* ``DateTimeField``
* ``ComplexDateTimeField``
* ``ObjectIdField``
* ``SequenceField`` (assumes it has integer counter)
* ``UUIDField``
* ``GeoPointField``
* ``GeoJsonBaseField`` (all those fields)
* ``DateField``

Compound fields: ListField and DictField are mapped to corresponding DRF fields, with respect to nested field specification.

The ReferenceField is handled like ForeignKey in DRF: there nested serializer autogenerated if serializer depth greater then 0, otherwise it's handled by it's own (results as str(id)).

[...]
